#ifndef ASTSHIM_H
#define ASTSHIM_H

#include "astshim/base.h"
#include "astshim/Object.h"
#include "astshim/Stream.h"
#include "astshim/Channel.h"
#include "astshim/MapBox.h"
#include "astshim/MapSplit.h"
#include "astshim/QuadApprox.h"
#include "astshim/Mapping.h"
#include "astshim/Frame.h"
#include "astshim/FrameSet.h"
#include "astshim/FrameDict.h"
#include "astshim/functional.h"

// channels
#include "astshim/FitsChan.h"
#include "astshim/XmlChan.h"

// frames
#include "astshim/CmpFrame.h"
#include "astshim/SkyFrame.h"
#include "astshim/SpecFrame.h"
#include "astshim/TimeFrame.h"

// mappings
#include "astshim/ChebyMap.h"
#include "astshim/CmpMap.h"
#include "astshim/KeyMap.h"
#include "astshim/LutMap.h"
#include "astshim/MathMap.h"
#include "astshim/MatrixMap.h"
#include "astshim/NormMap.h"
#include "astshim/ParallelMap.h"
#include "astshim/PcdMap.h"
#include "astshim/PermMap.h"
#include "astshim/PolyMap.h"
#include "astshim/RateMap.h"
#include "astshim/SeriesMap.h"
#include "astshim/ShiftMap.h"
#include "astshim/SlaMap.h"
#include "astshim/SphMap.h"
#include "astshim/TimeMap.h"
#include "astshim/TranMap.h"
#include "astshim/UnitMap.h"
#include "astshim/UnitNormMap.h"
#include "astshim/WcsMap.h"
#include "astshim/WinMap.h"
#include "astshim/ZoomMap.h"

#endif
